using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 导航属性：年度培训计划附件
    /// </summary>
    [Description("年度培训计划附件")]
    public class T_SE_YEAR_TRAIN_PLAN_FILE : MesEntityBase
    {
        /// <summary>
        /// 年度培训计划ID
        /// </summary>
        [Description("年度培训计划ID")]
        [DataFieldForeignKey("Nav_YearTrainPlan","Nav_Files")]
        public Guid YEAR_TRAIN_PLAN_ID { get; set; }
        /// <summary>
        /// 导航属性：年度培训计划
        /// </summary>
        [Description("导航属性：年度培训计划")]
        public T_SE_YEAR_TRAIN_PLAN Nav_YearTrainPlan { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }
        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
